Bug 1268146 - openstack-glance-registry will not start: missing systemd dependency
openstack-glance-registry will not start: missing systemd dependency
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-glance (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Liberty
Assigned To: Alan Pevec
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 18:43 EDT by David Moreau Simard
Modified: 2016-04-26 10:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-glance-11.0.0.0-0.2rc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Moreau Simard 2015-10-01 18:43:17 EDT
A fresh build off of the stable/liberty current repository does not work, openstack-glance-registry is broken:
http://paste.openstack.org/show/475128/

I am unable to find how the systemd import is injected and if that dependency was ever met right now.. I will do some more verifications and report back.
Comment 1 Alan Pevec 2015-10-02 03:57:29 EDT
There's my old patch[*] in openstack-glance which needs to be updated to use oslo_service but that should not be present in Delorean builds.

http://pkgs.fedoraproject.org/cgit/openstack-glance.git/tree/0001-notify-calling-process-we-are-ready-to-serve.patch
Comment 2 Alan Pevec 2015-10-02 04:00:15 EDT
Archiving stacktrace in bz:

[root@rdo-packstack-jx1ef-dmsimard-controller ~]# /usr/bin/glance-registry
Traceback (most recent call last):
  File "/usr/bin/glance-registry", line 6, in <module>
    from glance.cmd.registry import main
  File "/usr/lib/python2.7/site-packages/glance/cmd/registry.py", line 50, in <module>
    from glance.openstack.common import systemd
ImportError: No module named common

ok, I see now that's against CBS builds, not Delorean Liberty as I understood.
Comment 5 Alan Pevec 2015-10-02 07:43:26 EDT
Sent upstream https://review.openstack.org/230349
and tagged cloud7-openstack-liberty-testing

Note You need to log in before you can comment on or make changes to this bug.